/***********************************************************************
** Copyright (C) 2011 Anthony Naddeo <anthony.naddeo@gmail.com>
**
** This file is part of LinkedUp
**
** LinkedUp is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 3 of the License, or
** (at your option) any later version.
**
** LinkedUp is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this package; If not, see <http://www.gnu.org/licenses/>.
**
***********************************************************************/
import QtQuick 1.0

Item {
	width: parent.width
	height: rootColumn.height + 20

	property string endCurrent: endDate

	Component.onCompleted: {
		if(!endDate)
			endCurrent = "current"
	}


	Rectangle{
		id: border
		anchors.left: parent.left
		anchors.right: parent.right
		anchors.margins: 10
		height: parent.height
		color: palette.dark
		radius: 10

		Column{
			id: rootColumn
			anchors.left: parent.left
			anchors.right: parent.right
			anchors.verticalCenter: parent.verticalCenter
			anchors.margins: 10

			Text {font.pixelSize: 22;  wrapMode: Text.Wrap; width: border.width-20; color: palette.text; text: "<b>"+company+"</b>"}
			Text {font.pixelSize: 20;  wrapMode: Text.Wrap; width: border.width-20; color: palette.text; text: title}
			Text {font.pixelSize: 20;  wrapMode: Text.Wrap; width: border.width-20; color: palette.text; text: startDate + " - " + endCurrent}

			Text {font.pixelSize: 20;  wrapMode: Text.Wrap; width: border.width-20; color: palette.text; text: summary}



		}
	}




}
