/***********************************************************************
** Copyright (C) 2011 Anthony Naddeo <anthony.naddeo@gmail.com>
**
** This file is part of LinkedUp
**
** LinkedUp is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 3 of the License, or
** (at your option) any later version.
**
** LinkedUp is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this package; If not, see <http://www.gnu.org/licenses/>.
**
***********************************************************************/
import QtQuick 1.0

Item{
	id: root
	width: parent.width
	height: rootColumn.height

	SystemPalette{id: palette}

   Column{
		id: rootColumn
		width: root.width
		spacing: 20
	   Row{
		   id: row
		   spacing: 10
		   width: parent.width

		   Image {
			   id: image
			   height:  100
			   width: height
			   smooth: true
			   source: pictureUrl
			   Component.onCompleted: {
				   if(!pictureUrl)
					   source = "qrc:///qml/images/profile-picture.png"
			   }
		   }

		   Column{
			   width: parent.width - image.width

//			   Text {font.pixelSize: 20; font.family: "Arial"; wrapMode: Text.Wrap; width: parent.width-10; color: palette.text; text: firstName + " " + lastName}
			   Text {font.pixelSize: 22; font.family: "Arial"; wrapMode: Text.Wrap; width: parent.width-10; color: palette.text; text: headline}
			   Text {font.pixelSize: 18; font.family: "Arial"; wrapMode: Text.Wrap; width: parent.width-10; color: palette.text; text: location}
			   Text {font.pixelSize: 18; font.family: "Arial"; wrapMode: Text.Wrap; width: parent.width-10; color: palette.text; text: industry}


		   }


	   }




   }



}
